<?php
namespace BoostMyShop\Agent\Block\Adminhtml\Orderedit\Tab;

class View extends \BoostMyShop\Agent\Block\Adminhtml\Base
{
    protected $_template = 'BoostMyShop_Agent::order/tab/view/orderinfo.phtml';
    protected $_blockId = 'erpcloud';

    public function getOrderIncrementId()
    {
        return $this->getOrder()->getIncrementId();
    }

    public function getOrder()
    {
        return $this->_coreRegistry->registry('current_order');
    }

    public function getTabLabel()
    {
        return __('BoostMyShop MyFulfillment');
    }

    public function getTabTitle()
    {
        return __('BoostMyShop MyFulfillment');
    }

    public function getConnectData()
    {
        try {
            $url = "/rest/V1/erpcloud/order/" . $this->getOrderId();
            $orderDetail = $this->processRequest($url, "GET");
            return $orderDetail;
        }
        catch(\Magento\Framework\Webapi\Exception $e)
        {
            return null;
        }
        catch(\Exception $e)
        {
            return null;
        }
    }

    public function getOrderId()
    {
        return $this->getOrder()->getEntityId();
    }
}