<?php

namespace BoostMyShop\Agent\Block\System\Config\System;

class Status extends \Magento\Config\Block\System\Config\Form\Field
{
    protected $_api;

    /**
     * @var string
     */
    protected $_template = 'System/Config/Status.phtml';

    public function __construct(
        \Magento\Backend\Block\Template\Context $context,
        \BoostMyShop\Agent\Block\Adminhtml\Base $api,
        array $data = []
    ) {
        parent::__construct($context, $data);

        $this->_api = $api;
    }

    public function getStatus()
    {
        return $this->_api->getStatus();
    }

    protected function _getElementHtml(\Magento\Framework\Data\Form\Element\AbstractElement $element)
    {
        return $this->_toHtml();
    }

}