<?php

namespace BoostMyShop\Agent\Block\Frontend;

use Magento\Framework\Registry;

class Product extends Base
{

    protected $_template = 'Product.phtml';

    public function getProductReference()
    {
        //todo : add option to return product ID ?
        return $this->getCurrentProduct()->getSku();
    }

    public function getCurrentProduct()
    {
        return $this->_registry->registry('current_product');
    }

    public function getProductPrice()
    {
        return $this->getCurrentProduct()->getPrice();
    }

}
