<?php namespace BoostMyShop\Agent\Block\System\Config\Form\Field\General;

/**
 * @copyright 2015-2018 BoostMyShop (http://www.boostmyshop.com)
 * @license   http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class Token extends \Magento\Config\Block\System\Config\Form\Field
{
    protected $_config;

    public function __construct(
        \BoostMyShop\Agent\Model\Config\Agent $config,
        \Magento\Backend\Block\Template\Context $context,
        array $data = []
    ){
        parent::__construct($context, $data);
        $this->_config = $config;
    }

    protected function _getElementHtml(\Magento\Framework\Data\Form\Element\AbstractElement $element)
    {
        return $this->_config->getSetting('authentication/token');
    }
}
