<?php namespace BoostMyShop\Agent\Setup;

use Magento\Framework\Setup\InstallSchemaInterface;
use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\SchemaSetupInterface;

class InstallSchema implements InstallSchemaInterface
{
    /**
     * @param SchemaSetupInterface $setup
     * @param ModuleContextInterface $context
     */
    public function install(SchemaSetupInterface $setup, ModuleContextInterface $context)
    {
        $setup->startSetup();

        $function = 'md5';

        $setup->getConnection()->insert(
            $setup->getTable('core_config_data'),
            array(
                'path' => 'pricinglabagent/authentication/token',
                'value' => $function(uniqid(rand(), true)),
                'scope' => 'default',
                'scope_id' => 0
            )
        );

        $setup->endSetup();
    }
}
